{ pkgs, ... }:
{
  imports = [
    ./boot
    ./disko
    ./hardware
    ../../modules/system
  ];

  system.lanzaboote.enable = true;
  system.wireless.enable = false;
  system.wireguard.client.enable = false;
  system.video.nvidia.enable = true;
  system.libvirtd.enable = true;

  networking.hostName = "firefly";
  environment.sessionVariables.NIXOS_OZONE_WL = "1";
}
